play.modules.enabled += "system.ActorModule"
play.filters.enabled += "play.filters.cors.CORSFilter"
play.filters.disabled += "play.filters.csrf.CSRFFilter"
play.filters.disabled += play.filters.hosts.AllowedHostsFilter
play.http.forwarded.trustedProxies = ["0.0.0.0/0", "::/0"]
play.http.secret.key = "0j?Kyc>vR;iJrJ<hDQ4LZg[VHeLuJSs3f[moA<YO`^sg2w4k8vCdGCox/=6;D_@E"
play.http.secret.key = ${?APPLICATION_SECRET}
play.i18n.langs = ["fr", "en"]
pidfile.path = "/dev/null"

logger.root = ERROR
logger.play = INFO
logger.application = INFO

play.ws.ssl.loose.acceptAnyCertificate = true
play.ws.ssl.loose.disableHostnameVerification = true
play.ws.ssl.loose.allowWeakCiphers = true
play.ws.ssl.loose.allowWeakProtocols = true

xivohost = "xivo"
xivohost = ${?XIVO_HOST}
applicationName = "xuc"
sipDriver = "PJSIP"
sipDriver = ${?XIVO_SIPDRV}

enableAmiTransfer = true
enableAmiTransfer = ${?ENABLE_AMI_TRANSFER}
amiTransferTimeoutSeconds = 180
amiTransferTimeoutSeconds = ${?AMI_TRANSFER_TIMEOUT_SECONDS}

amiKeepaliveTimeout = ${?XIVO_AMI_KEEPALIVE}
amiReconnectOnMissedPings = ${?AMI_RECONNECT_ON_MISSED_PINGS}

stopRecordingUponExternalXfer = true
stopRecordingUponExternalXfer = ${?STOP_RECORDING_UPON_EXTERNAL_XFER}
enableRecordingRules = true
enableRecordingRules = ${?ENABLE_RECORDING_RULES}

casServerUrl = ${?CAS_SERVER_URL}

oidc {
  enable = false
  enable = ${?ENABLE_OIDC}
  trustedServerUrl = ${?OIDC_SERVER_URL}
  clientId = ${?OIDC_CLIENT_ID}
  audience = ${?OIDC_AUDIENCE}
  usernameField = "preferred_username"
  usernameField = ${?OIDC_USERNAME_FIELD}
  additionalTrustedServersUrl = ${?OIDC_ADDITIONAL_SERVERS_URL}
  additionalTrustedClientIDs = ${?OIDC_ADDITIONAL_CLIENT_IDS}
}

enableChanSpyBeep = false
enableChanSpyBeep = ${?ENABLE_CHANSPY_BEEP}

db.default.driver = org.postgresql.Driver
db.default.url = "jdbc:postgresql://"${xivohost}"/asterisk?loginTimeout=5&socketTimeout=5&ApplicationName=\"xuc\""
db.default.username = asterisk
db.default.password = proformatique
db.default.partitionCount = 2
db.default.maxConnectionsPerPartition = 10
db.default.minConnectionsPerPartition = 5
db.default.acquireRetryAttempts = 240
db.default.acquireRetryDelay = 15 seconds

metrics {
  name = "Stats"
  jvm = false             # [true/false] (default is true) controls reporting jvm metrics
  logback = false         # [true/false] (default is true) controls reporing logback metrics
  logReporter = true      # [true/false] (default is true) controls log reporter
  logReporterPeriod = 30   # (in minutes, default is 5) specify the period of metrics dump to the log file
}

techMetrics {
  name = "tech"
  jvm = true              # [true/false] (default is true) controls reporting jvm metrics
  logback = false         # [true/false] (default is true) controls reporing logback metrics
  logReporter = true     # [true/false] (default is true) controls log reporter
  jmxReporter = false     # [true/false] (default is true) enable/disable jmx reporting of metrics kpi
  logReporterPeriod = 5   # (in minutes, default is 5) specify the period of metrics dump to the log file
}

# XiVO CTI
# ~~~~~~~~
authentication {
  ldap {
    #managerDN="uid=usermgr,ou=people,dc=entr,dc=com"     # user with read rights on the whole LDAP
    #managerDN=${?LDAP_managerDN}
    #managerPassword = "managerPwd"      # password for this user
    #url = "ldap://ldap.entr.com:389"    # ldap URI
    #searchBase = "ou=people,dc=entr,dc=com"    # ldap entry to use as search base
    #userSearchFilter = "uid=%s"        # filter to use to search users by login, using a string pattern
  }
  xivo {
    restapi.users = "http://"${config.host}":"${config.port}"/configmgt/api/2.0/user/validate"
    restapi.token = "u@pf#41[gYHJm<]9N[a0iWDQQ7`e9k"
    restapi.token = ${?PLAY_AUTH_TOKEN}
  }

  secret = ${?XUC_AUTH_SECRET}
  expires = 3600
  expires = ${?AUTH_CTI_EXPIRES}
  preventXucUserLogin = true
  preventXucUserLogin = ${?AUTH_PREVENT_XUC_LOGIN}

  webservice {
    defaultExpires = 86400
    defaultExpires = ${?AUTH_WEBSERVICE_EXPIRES}
    maxExpires = 86400
  }
}

xivocti {
  # CTI version
  version = "2.1"
  version = ${?XIVO_CTI_VERSION}

  # CTI server connection configuration
  host = ${xivohost}
  port = 5003

  # connection timeout in seconds
  timeout = 1

  # identity suffix
  identitySuffix = ${applicationName}
  eventUser = "xuc"

  # KeepAliveInterval (seconds)
  keepAliveInterval = 600
  keepAliveInterval = ${?XIVO_CTI_KEEP_ALIVE_INTERVAL}
}

XivoWs {
  wsUser = "xivows"
  wsPwd = "xivows"
  host = ${xivohost}
  port = 9486
  #enabled=false deprecated not used any more, events are published at startup
}

RabbitMQ {
  xivohost = "xivo"
  xivohost = ${?XIVO_HOST}
  xivoport = 5672
  username = "xivocc"
  password = "xivocc"
  virtualhost = "/"
  exchange = "xivo"
  routingkeys = [
    "config.queue.created",
    "config.queue.edited",
    "config.group.created",
    "config.group.edited",
    "config.group.deleted",
    "config.agent.edited",
    "config.agent.deleted",
    "config.agent.created",
    "config.mediaserver.edited",
    "config.mediaserver.created",
    "config.mediaserver.deleted",
    "config.sip_endpoint.edited",
    "config.user_services.edited",
    "config.sip.edited",
    "config.user.edited",
    "config.user_preference.created",
    "config.user_preference.edited",
    "config.user_preference.deleted",
    "config.webservice_user.created",
    "config.webservice_user.edited",
    "config.webservice_user.deleted",
    "config.webservice_user.disabled",
    "config.webservice_user.created",
    "config.webservice_user.edited",
    "config.webservice_user.reload",
    "mobile.pushtoken.added",
    "mobile.pushtoken.deleted",
    "config.ctistatus.reload",
    "usage.event_login"
  ]
  consumertag = "xuc-consumer"
}

Ws {
  sslHandshakeTimeout = 50000
  requestTimeout = 50000
}

Snom {
  user = "guest"
  password = "guest"
}

Polycom {
  user = "guest"
  password = "guest"
}

api {
  eventUrl = ""
  eventUrl = ${?API_eventUrl}
  ipaccepted = ${?DEPRECATED_API_HOST}
}

xucstats {
  resetSchedule = "0 0 0 * * ?"
  initFromMidnight = false
  aggregationPeriod = 1 # in seconds, default value 1 second
  queues {
    statTresholdsInSec = [] # 15 sec treshold is automatically added
  }
}

xucami {
  amiIpAddress = ${xivohost}
  amiPort = "5038"
  amiPort = ${?XIVO_AMI_PORT}
  username = "xuc"
  secret = "xucpass"
  secret = ${?XIVO_AMI_SECRET}
}

recording {
  host = recording_server
  host = ${?RECORDING_SERVER_HOST}
  port = 9000
  port = ${?RECORDING_SERVER_PORT}
  token = "u@pf#41[gYHJm<]9N[a0iWDQQ7`e9k"
  token = ${?PLAY_AUTH_TOKEN}
}

config {
  host = ${xivohost}
  host = ${?CONFIG_MGT_HOST}
  port = 9100
  port = ${?CONFIG_MGT_PORT}
  token = "u@pf#41[gYHJm<]9N[a0iWDQQ7`e9k"
  token = ${?PLAY_AUTH_TOKEN}
  httpContext = "configmgt"
  httpContext = ${?CONFIG_MGT_HTTP_CONTEXT}
}

xuc.peers = []
xuc.outboundLength = 6

xivo.authPort = 9497
xivo.auth.defaultExpires = 604800
xivo.dirdDefaultProfile = "default"
xivo.dirdDefaultProfile = ${?XIVO_DIRD_PROFILE}

pekko {
  loggers = ["org.apache.pekko.event.slf4j.Slf4jLogger"]
  log-dead-letters-during-shutdown = off
  loglevel = DEBUG
  retries = ${?XUC_HA_COMM_RETRIES}
  actor {
    debug {
      fsm = on
    }
    provider = "cluster"
    allow-java-serialization = on // To be removed, see #7438
  }
  remote.artery {
    canonical {
      hostname = ${?XUC_HOST}
      hostname = ${?XUC_INTERNAL_HOST}
      port = 2551
      port = ${?CLUSTER_LOCAL_PORT}
    }
    bind {
      hostname = "0.0.0.0"
      port = 2551
      port = ${?CLUSTER_LOCAL_PORT}
    }
  }
  cluster {
    seed-nodes = []
    seed-nodes = ${?REMOTE_CONF_SEED_NODES}
  }
  http {
    parsing {
      max-uri-length = 4k
    }
  }
}

chatServer {
  enable = false
  enable = ${?CHAT_SERVER_ENABLE}
  host = mattermost
  host = ${?CHAT_SERVER_HOST}
  port = 8000
  port = ${?CHAT_SERVER_PORT}
  adminToken = ${?CHAT_SERVER_ADMIN_TOKEN}
  secret = Sn5PJFHGOnDTIKZ1QsFF
  secret = ${?CHAT_SERVER_SECRET}
  xucMgt = false
  xucMgt = ${?DISABLE_CHAT}
}

ice {
  stun {
    enable = false
    enable = ${?STUN_SERVER_ENABLE}
  }

  turn {
    enable = true
    enable = ${?TURN_SERVER_ENABLE}
    secret = e18559a314a4d38a8a1cf4bfa47db26f
    secret = ${?TURN_SERVER_SECRET}
    expiry = 3600
    expiry = ${?TURN_SERVER_CREDENTIAL_TTL}
  }
}

websocket {
  messagePerDuration = 90
  messagePerDuration = ${?WS_THROTTLING_NB_MESSAGES}
  maxBurst = 180
  maxBurst = ${?WS_THROTTLING_NB_MESSAGES_BURST}
}

#Principal created in the active directory
secured.krb5.principal = ""
secured.krb5.principal = ${?SECURED_KRB5_PRINCIPAL}
secured.krb5.debug = false
secured.krb5.password = ""
#Path to the keytab for the principal
secured.krb5.keyTab = "/conf/krb5.keytab"
sipPort = "5060"
sipPort = ${?EDGE_SIP_PORT}

cluster.conferences {
  extensionsToRemoteHosts = []
  extensionsToRemoteHosts = ${?REMOTE_JOIN_CONF_EXTENSIONS}
  contextToRemoteHosts = ""
  contextToRemoteHosts = ${?REMOTE_JOIN_CONF_CONTEXT}
}

directory {
  sources.priority = ""
  sources.priority = ${?DIRECTORY_SOURCES_PRIORITY}
  internal.source = ""
  internal.source = ${?DIRECTORY_INTERNAL_SOURCE}
}
